### A free/open-source library for quantitative finance

Public Member Functions
MakeMCEuropeanHestonEngine< RNG, S > Class Template Reference

Monte Carlo Heston European engine factory. More...

`#include <ql/pricingengines/vanilla/mceuropeanhestonengine.hpp>`

List of all members.

## Public Member Functions

| MakeMCEuropeanHestonEngine (const boost::shared_ptr< HestonProcess > &)
MakeMCEuropeanHestonEngine & | withSteps (Size steps)
MakeMCEuropeanHestonEngine & | withStepsPerYear (Size steps)
MakeMCEuropeanHestonEngine & | withSamples (Size samples)
MakeMCEuropeanHestonEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCEuropeanHestonEngine & | withMaxSamples (Size samples)
MakeMCEuropeanHestonEngine & | withSeed (BigNatural seed)
MakeMCEuropeanHestonEngine & | withAntitheticVariate (bool b=true)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCEuropeanHestonEngine< RNG, S >

Monte Carlo Heston European engine factory.